Bug 134461 - Machine check handling code is not detailed and is deadlock prone
Machine check handling code is not detailed and is deadlock prone
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Brian Maly
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-02 20:42 EDT by Manpreet Singh
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-19 15:43:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The patch mentioned in the description (19.37 KB, patch)
2004-10-02 20:44 EDT, Manpreet Singh
no flags Details | Diff

  None (edit)
Description Manpreet Singh 2004-10-02 20:42:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1)
Gecko/20020903

Description of problem:
The machine check code in the Redhat update3 kernel, which is based on
the 2.4.21 stock kernel code has several shortcomings. The stock
kernel through 2.4.27 has undergone several changes that fixes several
problems including:

- Detailed decoding for the error status reported during machine checks.
- Proper handling of printks to report unrecoverable errors. (allowing
printks to get to the console etc.)

Attached is a patch against the RHAS3 update3 kernel that backports
the 2.4.27 machine check code.

Version-Release number of selected component (if applicable):
linux kernel version 2.4.21-20.ELsmp

How reproducible:
Sometimes

Steps to Reproduce:
1. Run on a machine that produces machine check exceptions.
2.
3.
    

Additional info:
Comment 1 Manpreet Singh 2004-10-02 20:44:53 EDT
Created attachment 104673 [details]
The patch mentioned in the description
Comment 2 Red Hat Bugzilla 2007-03-18 18:26:17 EDT
User jparadis@redhat.com's account has been closed

Note You need to log in before you can comment on or make changes to this bug.